body {
    margin: 0;
    width: 100%;
    height: 100%;
    font-family: 'Roboto', sans-serif;
}

/* ========== ПУБЛИКАЦИИ ЯРЛЫКИ NP ========== */

.publication_feed_np_cl {
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: start;
}

.publication_feed_np_cl>section:nth-child(1) {
    width: calc(100% - 5px);
    display: flex;
    flex-direction: row;
    align-items: start;
    justify-content: space-between;
    flex-wrap: wrap;
    gap: 2.5px;
}

.publication_feed_np_cl>section:nth-child(2) {
    display: flex;
    align-items: center;
    justify-content: center;
}

.publication_feed_np_cl>section:nth-child(2)>img {
    width: 10vh;
    height: 10vh;
}

.publ_block_np_cl {
    width: 32vw;
    height: 40vw;
    flex-grow: 1;
    display: flex;
    flex-direction: column;
    align-items: end;
    justify-content: space-between;
    background-color: gray;
    border-radius: 5px;

    background-size: cover;
    background-position: 50% 50%;
}

.publ_block_np_cl>section {
    width: 100%;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: end;
}

.publ_block_np_cl>section>svg {
    display: none;
    width: 4vh;
    height: 4vh;
    color: white;
    transform: translateX(-1vh) translateY(0.25vh);
    filter: drop-shadow(0 0 1px black) drop-shadow(0 0 2px black) drop-shadow(0 0 4px black);
}

.publ_block_np_cl>div {
    position: absolute;
    width: 25vw;
    height: 25vw;
    background-size: cover;
    background-position: 50% 50%;
    transform: translateX(-2.5vw) translateY(5vw);
}

.publ_block_np_cl>span {
    width: calc(100% - 10px);
    padding: 5px;
    font-size: 1.5vh;
    color: white;
    text-align: center;

    display: -webkit-box;
    -webkit-line-clamp: 5;
    -webkit-box-orient: vertical;
    overflow: hidden;

    transform: translateY(-15px);
    text-shadow: 0 0 1px black, 0 0 2px black, 0 0 4px black;
}

.loading_block_np_cl {
    order: 1000000;
    width: 32vw;
    height: 40vw;
    flex-grow: 1;
    background: linear-gradient(60deg, gray, white, gray, gray, white, gray);
    background-size: 300% 100%;
    border-radius: 5px;
    animation: load_bl_anim 3s infinite ease-in-out;
}

@keyframes load_bl_anim {
    0% {
        background-position: 0% 0%;
    }
    50% {
        background-position: 100% 100%;
    }
    100% {
        background-position: 0% 0%;
    }
}

/* ========== ПУБЛИКАЦИИ КАРТОЧКИ NP ========== */

.START_section_publ_card_np_cl {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    overflow-y: scroll;
    background-color: black;
}

.section_publ_card_np_cl {
    width: 100vw;
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: start;
}

.section_publ_card_np_cl>section:nth-child(1) {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    padding-top: 5vh;
    gap: 5vh;
}

.section_publ_card_np_cl>section:nth-child(2) {
    display: flex;
    align-items: center;
    justify-content: center;
}

.section_publ_card_np_cl>section:nth-child(2)>img {
    width: 10vh;
    height: 10vh;
}

.card_publ_np_cl {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
}

/* ----- Зона материалов ----- */

.materials_area_np_cl {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
}

/* логин и дробь уровня */

.materials_area_np_cl>section:nth-child(1) {
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: start;
}

.materials_area_np_cl>section:nth-child(1)>span {
    position: absolute;
    transform: translateY(0.5vh) translateX(1vh);
    font-size: 2vh;
    font-weight: bold;
    color: white;
    text-shadow: 0 0 4px black;
    z-index: 100;
}

.materials_area_np_cl>section:nth-child(1)>div {
    position: absolute;
    transform: translateY(0.5vh) translateX(87.5vw);
    display: none;
    flex-direction: row;
    align-items: center;
    padding: 5px;
    padding-left: 10px;
    padding-right: 10px;
    border-radius: 10px;
    background-color: black;
}

.materials_area_np_cl>section:nth-child(1)>div>span {
    font-size: 1.75vh;
    color: white;
}

/* материалы */

.materials_area_np_cl>section:nth-child(2) {
    width: 100vw;
    /* height: 50vh; */
    overflow-x: scroll;
}

.materials_area_np_cl>section:nth-child(2)>section {
    width: auto;
    display: flex;
    flex-direction: row;
    align-items: center;
}

.materials_area_np_cl>section:nth-child(2)>section>section {
    width: 100vw;
    display: flex;
    flex-direction: column;
    align-items: start;
    justify-content: space-between;
}

.zone_marks_cl {
    height: 0;
}

.zone_marks_cl>section {
    width: calc(100vw - 20px);
    padding: 10px;
    display: flex;
    flex-direction: row;
    align-items: start;
    justify-content: start;
    gap: 15px;
    flex-wrap: wrap;
    transform: translateY(2.5vh);
}

.zone_marks_cl>section>section {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 5px;
    padding: 5px;
    border-radius: calc(1vh + 5px);
    padding-right: 10px;
    background-color: black;
}

.zone_marks_cl>section>section>img {
    width: 2vh;
    height: 2vh;
    border-radius: 50%;
    border: 2px solid green;
    overflow: hidden;
    object-fit: cover;
    object-position: 50% 50%;
}

.zone_marks_cl>section>section>span {
    font-size: 1.75vh;
    color: white;
}

.zone_texts_cl {
    height: 0;
}

.zone_texts_cl>section {
    width: 100vw;
    height: 0;
    display: flex;
    flex-direction: column-reverse;
    align-items: flex-end;
    justify-content: start;
}

.zone_texts_cl>section>div {
    padding: 10px;
    border-radius: 10px;
    background-color: black;
}

.zone_texts_cl>section>div>span {
    font-size: 2vh;
    color: white;
}

.mat_img_style_np_cl, .mat_video_style_np_cl {
    width: 100vw;
    display: flex;
    flex-direction: column;
    align-items: start;
    justify-content: start;
}

.mat_img_style_np_cl>img {
    width: 100%;
    height: 100%;
}

.mat_video_style_np_cl>video {
    width: 100%;
    height: 100%;
}

.mat_video_style_np_cl>div:nth-child(2) {
    position: absolute;
    width: 100%;
    height: 15vh;
    backdrop-filter: blur(24px);
    -webkit-backdrop-filter: blur(24px);
    display: flex;
    align-items: center;
    justify-content: center;
    opacity: 0;
}

.mat_video_style_np_cl>div:nth-child(2)>div {
    width: 10vh;
    height: 10vh;
    background-image: url(./img/loading.gif);
    background-size: cover;
}

.mat_video_style_np_cl>div:nth-child(3) {
    width: 100%;
    position: absolute;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: 300ms all;
    background-color: rgba(0, 0, 0, 0.25);
}

.mat_video_style_np_cl>div:nth-child(3)>div {
    padding: 20px;
    display: flex;
    flex-direction: column;
    align-items: center;
    border-radius: 2vh;
    background-color: black;
}

.mat_video_style_np_cl>div:nth-child(3)>div>svg {
    width: 12.5vh;
    height: 10vh;
    color: gray;
}

.mat_video_style_np_cl>div:nth-child(3)>div>span {
    font-size: 3vh;
    font-weight: bold;
    color: gray;
}

/* звук */

.materials_area_np_cl>section:nth-child(3) {
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: end;
}

.materials_area_np_cl>section:nth-child(3)>div {
    position: absolute;
    transform: translateY(-7vh) translateX(-2.5vh);
    width: 4.5vh;
    height: 4.5vh;
    border-radius: 50%;
    border: 1px solid rgba(128, 128, 128, 0.25);
    background-color: black;
}

.materials_area_np_cl>section:nth-child(3)>div>svg {
    color: white;
    scale: 0.8;
}

/* уровень */

.materials_area_np_cl>section:nth-child(4) {
    width: calc(100% - 20px);
    padding: 10px;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    gap: 5px;
}

.materials_area_np_cl>section:nth-child(4)>div {
    width: 1.25vh;
    height: 1.25vh;
    border-radius: 50%;
    background-color: gray;
}

/* ----- Зона взаимодействия ----- */

.interaction_zone_np_cl {
    width: 100%;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
}

.interaction_zone_np_cl>section:nth-child(1) {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 10px;
    margin-left: 10px;
}

.interaction_zone_np_cl>section:nth-child(1)>div {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 2.5px;
}

.interaction_zone_np_cl>section:nth-child(1)>div>svg {
    width: 3.5vh;
    height: 3.5vh;
    color: gray;
}

.interaction_zone_np_cl>section:nth-child(1)>div>div>svg {
    width: 3.5vh;
    height: 3.5vh;
    color: gray;
}

.interaction_zone_np_cl>section:nth-child(1)>div>span {
    font-size: 2.25vh;
    color: white;
}

.interaction_zone_np_cl>section:nth-child(1)>section {
    width: 2.25vh;
    height: 2.25vh;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-between;
}

.interaction_zone_np_cl>section:nth-child(1)>section>div {
    width: 0.6vh;
    height: 0.6vh;
    border-radius: 50%;
    background-color: gray;
}

.interaction_zone_np_cl>section:nth-child(2) {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 5px;
    margin-right: 10px;
}

.interaction_zone_np_cl>section:nth-child(2)>span {
    font-size: 1.75vh;
    color: gray;
}

/* ----- Зона действия ----- */

.area_operation_np_cl {
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: end;
}

.area_operation_np_cl>section {
    position: absolute;
    transform: translateY(-32.5vh);
    padding: 15px;
    background-color: white;
    border-radius: 10px;
    display: none;
    flex-direction: column;
    align-items: start;
    gap: 20px;
}

.area_operation_np_cl>section>span {
    font-size: 2vh;
    font-weight: bold;
    color: black;
}

.area_operation_np_cl>section>div {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 10px;
    margin-left: 20px;
}

.area_operation_np_cl>section>div>svg {
    width: 3vh;
    height: 3vh;
}

.area_operation_np_cl>section>div>span {
    font-size: 2vh;
    color: black;
}

/* ----- Зона текста ----- */

.texts_zone_np_cl {
    width: 70%;
    display: flex;
    flex-direction: column;
    align-items: start;
    gap: 10px;
    margin-top: 5px;
}

.texts_zone_np_cl>span:nth-child(1) {
    font-size: 16px;
    color: white;
    font-weight: normal;
    text-align: start;
}

.texts_zone_np_cl>span:nth-child(1)>b {
    font-size: 16px;
    font-weight: bold;
    color: white;
    margin-right: 5px;
}

.texts_zone_np_cl>span:nth-child(1)>a {
    font-size: 16px;
    color: blue;
    text-decoration: underline;
}

.texts_zone_np_cl>span:nth-child(2) {
    font-size: 16px;
    color: gray;
    font-weight: normal;
}